<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

// Esta funcion hace un hash md5 del archivo pasado,
// y devuelve el path del archivo con el hash concatenado como un query string
// para romper la cache cuando cambia el contenido del archivo
function append_hash($path)
{
    if (!file_exists($path)) {
        return $path;
    }
    $hash = md5_file($path);
    return $path . '?version=' . $hash;
}
